Target product reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-target-products-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "86216189",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-target-products-reviews"
payload = {
"product": "86216189",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '86216189', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-target-products-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "target_products_reviews",
"product": "86216189",
"product_id": "86216189",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Target product reviews\n\n- **Product (TCIN):** 86216189\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 69.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "d3ccc542-fe71-4f57-8854-5cd8c1dfac90",
"rating": 5,
"title": "Three builds in one! So much fun!",
"text": "I really like the 3-in-1 concept because you’re not limited to building just one model. The space shuttle has a great classic LEGO look, and being able to take it apart and create different space-them",
"author": "Tiffany",
"source": "targetcom",
"is_syndicated": false,
"is_verified": true,
"is_recommended": true,
"helpful_count": 0,
"unhelpful_count": 0,
"photo_count": 0,
"submitted_at": "2026-09-16T02:36:59.000+00:00",
"created_at": "2026-09-16T02:36:59.000+00:00",
"updated_at": "2026-09-18T09:52:36.000+00:00"
},
"items": [
{
"id": "d3ccc542-fe71-4f57-8854-5cd8c1dfac90",
"rating": 5,
"title": "Three builds in one! So much fun!",
"text": "I really like the 3-in-1 concept because you’re not limited to building just one model. The space shuttle has a great classic LEGO look, and being able to take it apart and create different space-them",
"author": "Tiffany",
"source": "targetcom",
"is_syndicated": false,
"is_verified": true,
"is_recommended": true,
"helpful_count": 0,
"unhelpful_count": 0,
"photo_count": 0,
"submitted_at": "2026-09-16T02:36:59.000+00:00",
"created_at": "2026-09-16T02:36:59.000+00:00",
"updated_at": "2026-09-18T09:52:36.000+00:00"
},
{
"id": "558da1a7-df0d-4e39-9c80-c53403ad39f0",
"rating": 5,
"title": "Well worth the price point",
"text": "I built the third model first, then the shuttle thinking the astronaut would be my display piece, but the shuttle is such an impressive build for the price and scale, it's probably going to stay that ",
"author": "Meatbaal",
"source": "targetcom",
"is_syndicated": false,
"is_verified": true,
"is_recommended": true,
"helpful_count": 0,
"unhelpful_count": 0,
"photo_count": 0,
"submitted_at": "2026-09-06T22:39:45.000+00:00",
"created_at": "2026-09-06T22:39:45.000+00:00",
"updated_at": "2026-09-12T09:56:24.000+00:00"
}
],
"proxy_traffic_bytes": 70634
},
"total_points": 2
}E-commerce & Marketplaces
Target product reviews
Customer reviews of a Target product by TCIN or URL, newest first. 1 point per returned record.
POST
/
functions
/
v1
/
run-target-products-reviews
Target product reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.